Warning: Use of undefined constant CON_VERSION

Fragen zur Installation von CONTENIDO 4.9? Probleme bei der Konfiguration? Hinweise oder Fragen zur Entwicklung des Systemes oder zur Sicherheit?
Antworten
sarronsarron
Beiträge: 244
Registriert: Do 10. Mär 2011, 17:02
Wohnort: Erlangen
Kontaktdaten:

Warning: Use of undefined constant CON_VERSION

Beitrag von sarronsarron » Do 14. Nov 2019, 11:03

Hallo,

beim Setup auf dem Server erhalte ich die folgende Meldung:

Warning: Use of undefined constant CON_VERSION

Php-Version 7.3
Contenido Version: 4.9.12

Ist das ein wichtiger Fehler? Kann man den ignorieren bzw. ändern?

Gruß sarron

xmurrix
Beiträge: 2797
Registriert: Do 21. Okt 2004, 11:08
Wohnort: Augsburg
Kontaktdaten:

Re: Warning: Use of undefined constant CON_VERSION

Beitrag von xmurrix » Do 14. Nov 2019, 11:41

Hallo sarron,
...Warning: Use of undefined constant CON_VERSION...
Die Warnung kann man ignorieren, seit PHP 7.2 gibt es eine Warnung, wenn man auf nicht zuvor definierte Kontanten zugreift. Das Problem ist in CONTENIDO 4.10.0 gelöst.
...Php-Version 7.3
Contenido Version: 4.9.12...
Allerdings wird die Kombination von PHP 7.3 und CONTENIDO 4.9.12 nicht gut funktionieren. In PHP 7.2 gab es einige Änderungen (auch Deprecations), CONTENIDO 4.10.0 ist mit PHP 7.2 kompatibel, ich empfehle dir aber aktuellste 4.10.1 zu verwenden.

Gruß
xmurrix
CONTENIDO downloads: CONTENIDO 4.10.1
CONTENIDO links: Documentation, API documentation
CONTENIDO @ Github: CONTENIDO 4.10

mattmarr
Beiträge: 338
Registriert: Mo 3. Aug 2009, 14:11
Kontaktdaten:

Re: Warning: Use of undefined constant CON_VERSION

Beitrag von mattmarr » Do 14. Nov 2019, 11:44

Hallo Sarron,

PHP 7.3 wird das Problem sein und deine Contenido 4.9.12. Diese ist nur mit PHP bis 7.0 Kompatibel.
Siehe Systemanforderungen Contenido: https://www.contenido.org/deutsch/das-c ... index.html


Gruß
Matthias

sarronsarron
Beiträge: 244
Registriert: Do 10. Mär 2011, 17:02
Wohnort: Erlangen
Kontaktdaten:

Re: Warning: Use of undefined constant CON_VERSION

Beitrag von sarronsarron » Do 14. Nov 2019, 11:55

Danke für eure Infos.

Wie mach ich den Versionswechsel am Besten? Einfach nur Dateien austauschen oder nur Scripte?

Gruß sarron

xmurrix
Beiträge: 2797
Registriert: Do 21. Okt 2004, 11:08
Wohnort: Augsburg
Kontaktdaten:

Re: Warning: Use of undefined constant CON_VERSION

Beitrag von xmurrix » Do 14. Nov 2019, 15:06

sarronsarron hat geschrieben:
Do 14. Nov 2019, 11:55
...Wie mach ich den Versionswechsel am Besten? Einfach nur Dateien austauschen oder nur Scripte?...
Das Austauschen der Dateien und Scripte wird nicht ausreichen, da es innerhalb der 4.9.x'er Version und zwischen 4.9.x und 4.10.x Änderungen an der Datenbank gab, du kommst um die Ausführung des Setups nicht herum.

Von welcher CONTENIDO Version willst du aktualisieren? Es ist immer besser, wenn du zuerst auf das letzte Release der Hauptversion aktualisiert, um dann auf die nächst höhere Hauptversion zu wechseln.

Zwischen CONTENIDO 4.9.x und 4.10.x gab es aber nicht sehr große Änderungen, so dass auch ein Update von einer alten 4.9 (z. B. 4.9.3) auf die neueste 4.10 möglich sein sollte, bestätigen kann ich das aber nicht, da ich es nicht gemacht habe.

Ein Update geht normalerweise folgendermaßen:
  1. Falls es benutzerdefinierte Änderungen an den CONTENIDO Quell-Dateien gab, diese vorher sichern
  2. Alle Ordner/Dateien aus der neuen Version über die vorhandenen Ordner/Dateien kopieren, so dass vorhandenen Ordner/Dateien überschrieben werden
  3. Setup ausführen
  4. Falls es benutzerdefinierte Änderungen an den CONTENIDO Quell-Dateien gab, diese wieder übernehmen
Gruß
xmurrix
CONTENIDO downloads: CONTENIDO 4.10.1
CONTENIDO links: Documentation, API documentation
CONTENIDO @ Github: CONTENIDO 4.10

Antworten